consumers
List consumers
Returns a paginated list of consumers in a gateway.
GET
/
v1
/
gateways
/
{gateway_id}
/
consumers
Error
A valid request URL is required to generate request examples{
"items": [
{
"active": true,
"auth_ids": [
"<string>"
],
"created_at": "<string>",
"fail_mode": "<string>",
"fallback": {
"budget": {
"max_attempts": 123,
"max_total_latency_ms": 123
},
"chain": [
"<string>"
],
"enabled": true,
"triggers": [
"<string>"
]
},
"gateway_id": "<string>",
"headers": {},
"id": "<string>",
"lb_config": {
"algorithm": "<string>",
"embedding_config": {
"auth": {
"api_key": "<string>",
"header_name": "<string>",
"header_value": "<string>",
"param_location": "<string>",
"param_name": "<string>",
"param_value": "<string>"
},
"model": "<string>",
"provider": "<string>"
},
"enabled": true,
"members": [
{
"model": "<string>",
"models": [
"<string>"
],
"registry_id": "<string>",
"weight": 123
}
],
"pool_alias": "<string>",
"smart_routing": {
"tiers": [
{
"min_score": 123,
"model": "<string>",
"registry_id": "<string>"
}
]
}
},
"model_policies": [
{
"allowed": [
"<string>"
],
"default": "<string>",
"registry_id": "<string>"
}
],
"name": "<string>",
"registry_ids": [
"<string>"
],
"registry_weights": [
{
"registry_id": "<string>",
"weight": 123
}
],
"role_ids": [
"<string>"
],
"routing_mode": "<string>",
"slug": "<string>",
"toolkit": [
{
"expose_as": "<string>",
"prompt": "<string>",
"registry_id": "<string>",
"resource": "<string>",
"tool": "<string>"
}
],
"type": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
Gateway id
Query Parameters
Substring match on name or slug (alias: name)
Alias of search
Filter by consumer type (LLM, MCP, A2A)
Filter by active flag
Filter consumers linked to this auth id
Sort field (name, created_at, updated_at, type)
Sort order (asc, desc)
Page number (1-based)
Page size
⌘I
Error
A valid request URL is required to generate request examples{
"items": [
{
"active": true,
"auth_ids": [
"<string>"
],
"created_at": "<string>",
"fail_mode": "<string>",
"fallback": {
"budget": {
"max_attempts": 123,
"max_total_latency_ms": 123
},
"chain": [
"<string>"
],
"enabled": true,
"triggers": [
"<string>"
]
},
"gateway_id": "<string>",
"headers": {},
"id": "<string>",
"lb_config": {
"algorithm": "<string>",
"embedding_config": {
"auth": {
"api_key": "<string>",
"header_name": "<string>",
"header_value": "<string>",
"param_location": "<string>",
"param_name": "<string>",
"param_value": "<string>"
},
"model": "<string>",
"provider": "<string>"
},
"enabled": true,
"members": [
{
"model": "<string>",
"models": [
"<string>"
],
"registry_id": "<string>",
"weight": 123
}
],
"pool_alias": "<string>",
"smart_routing": {
"tiers": [
{
"min_score": 123,
"model": "<string>",
"registry_id": "<string>"
}
]
}
},
"model_policies": [
{
"allowed": [
"<string>"
],
"default": "<string>",
"registry_id": "<string>"
}
],
"name": "<string>",
"registry_ids": [
"<string>"
],
"registry_weights": [
{
"registry_id": "<string>",
"weight": 123
}
],
"role_ids": [
"<string>"
],
"routing_mode": "<string>",
"slug": "<string>",
"toolkit": [
{
"expose_as": "<string>",
"prompt": "<string>",
"registry_id": "<string>",
"resource": "<string>",
"tool": "<string>"
}
],
"type": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}